#
# spec file for package linkt (Version 0.8rc3)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild
# neededforbuild  audiofile audiofile-devel kde3-devel-packages libax25 libungif xf86

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel arts arts-devel audiofile audiofile-devel autoconf automake binutils expat fam fam-devel fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext giflib giflib-devel glib2 glib2-devel gnome-filesystem jack jack-devel kdelibs3 kdelibs3-devel kdelibs3-doc libart_lgpl libart_lgpl-devel libax25 libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libpng libpng-devel libstdc++-devel libtiff libtiff-devel libtool libxml2 libxml2-devel libxslt libxslt-devel openssl-devel pcre pcre-devel perl python qt3 qt3-devel rpm unsermake update-desktop-files xorg-x11 xorg-x11-Mesa xorg-x11-Mesa-devel xorg-x11-devel xorg-x11-libs

Name:         linkt
Url:          http://www.linkt.de/
License:      LGPL
Group:        Productivity/Hamradio/Packet
Autoreqprov:  on
Version:      0.8rc3
Release:      297
Summary:      Packet radio-terminal for the K Desktop Environment (KDE)
Source:       linkt-0.8rc3.tar.bz2
# Patch:        linkt.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
LinKT is the first packet radio-terminal for the K Desktop Environment
(KDE). Starting with version 0.6.0 it will consist of the following
three parts: LinKT itself, MonKT, the LinKT monitor with DX-cluster-spy
etc. and ConvKT, a ping-pong-convers client.



Authors:
--------
    Jochen Tillmann-Sarrazin <jochen@1409.linkt.de>

%debug_package
%prep
%setup
#patch
. /etc/opt/kde3/common_options
update_admin

%build
export AX25LIB=/usr/include/netax25
. /etc/opt/kde3/common_options
./configure $configkde --disable-final
		
make

%install
. /etc/opt/kde3/common_options
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
#mv $RPM_BUILD_ROOT/opt/kde3/share/applnk/Applications/HamRadio/linkt.kdelnk \
#  $RPM_BUILD_ROOT/opt/kde3/share/applnk/Applications/HamRadio/linkt.desktop
#mv $RPM_BUILD_ROOT/opt/kde3/share/applnk/Applications/HamRadio/monkt.kdelnk \
#  $RPM_BUILD_ROOT/opt/kde3/share/applnk/Applications/HamRadio/monkt.desktop
%suse_update_desktop_file linkt HamRadio
%suse_update_desktop_file monkt HamRadio
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc CHANGES COPYING FAQ.de INSTALL INSTALL.Monitor README
%dir /opt/kde3/sbin
%dir /opt/kde3/share/icons/hicolor/16x16/apps
%dir /opt/kde3/share/icons/hicolor/32x32/apps
/opt/kde3/share/apps/linkt
/opt/kde3/share/apps/monkt
/opt/kde3/bin/linkt
/opt/kde3/bin/monkt
/opt/kde3/sbin/monktd
/opt/kde3/share/applications/kde/linkt.desktop
/opt/kde3/share/applications/kde/monkt.desktop
/opt/kde3/share/icons/hicolor/16x16/apps/linkt.png
/opt/kde3/share/icons/hicolor/16x16/apps/monkt.png
/opt/kde3/share/icons/hicolor/32x32/apps/linkt.png
/opt/kde3/share/icons/hicolor/32x32/apps/monkt.png
/opt/kde3/share/applnk/Applications/HamRadio

%changelog -n linkt
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Tue Aug 12 2003 - adrian@suse.de
- add Categories
* Mon Jun 16 2003 - coolo@suse.de
- package directories
* Tue May 27 2003 - coolo@suse.de
- use KDE build system
- use BuildRoot
- shorten file list
- add translations
* Wed Feb 26 2003 - sf@suse.de
- fixed path to kdelibs in configure
* Fri Dec 06 2002 - jreuter@suse.de
- upgrade to version 0.8rc2
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Wed Jun 05 2002 - ro@suse.de
- use update_admin and config_kde
* Thu Jan 24 2002 - ro@suse.de
- use kde2-devel-packages
* Tue Jan 22 2002 - ro@suse.de
- changed neededforbuild <kdelibs-artsd> to <kdelibs3-artsd>
* Wed Nov 14 2001 - ro@suse.de
- re-add audiofile to neededforbuild
* Fri Nov 09 2001 - ro@suse.de
- use qt-devel-packages in neededforbuild
* Mon Oct 22 2001 - schwab@suse.de
- Fix for gcc 3.0.
* Mon Sep 03 2001 - jreuter@suse.de
- latest CVS version (tested), adds missing icons in tool bar
  and some minor bugs
- spec file modifications
* Mon Aug 13 2001 - ro@suse.de
- added kdelibs to neededforbuild
* Fri Aug 10 2001 - ro@suse.de
- updated neededforbuild
* Thu Aug 09 2001 - ro@suse.de
- fixed autoconf 2.52 glitches
* Fri Jun 22 2001 - adrian@suse.de
- autoconf 2.50 fixes
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to X11/Applications/Hamradio
* Wed Nov 08 2000 - sim@suse.de
- changed group to Applications/Communications
* Thu May 25 2000 - ro@suse.de
- doc to /usr/share/doc
* Thu Nov 11 1999 - ka@suse.de
- update to version 0.6.2
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - ka@suse.de
- update to version 0.6.1
* Thu Jun 24 1999 - ro@suse.de
- fixed for libax25-0.0.4
* Mon May 31 1999 - ro@suse.de
- fixed specfile
* Sat May 29 1999 - ka@suse.de
- update to version 0.6.0
* Fri May 07 1999 - ka@suse.de
- changed from gcc to egcs compiler
* Tue Mar 09 1999 - ka@suse.de
- initial release
